<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru">
	<xsl:import href="layout.xsl" />
	
	<xsl:template name="title">
		<xsl:choose>
			<xsl:when test="data/@action = 'PayOnline'">
				  PayOnline
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="/data">
	<script type="text/javascript">
		function showHide( check, elId )
		{
			elem = document.getElementById( elId );
			if( check.checked )
			{
				elem.style.display = 'block';
				// ,  , 
				form = check.form;
				form.operation.value = 'autoPay';
			}
			else
			{
				if( confirm('  ?') )
				{
					// ,  , 
					form = check.form;
					form.operation.value = 'deleteAutoPay';
					form.submit();
				}
				else
				{
					check.checked = true;
				}
		
			}
		}
		function pay( param )
		{
			check = elem = document.getElementById( "rebill" );
			if( param )
			{
				form = check.form;
				form.operation.value = 'autoPay';
			}
		}	
	</script>
		<xsl:choose>
			<xsl:when test="@action = 'PayOnline'">
				<xsl:choose>
					<xsl:when  test="common:result/attributes/item[@key='confirm_url']/value/text() != ''">
						<xsl:call-template name="PORedirect" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="POList" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<!--    -->
	<xsl:template name="POList">
		<xsl:call-template name="error"/>
		<xsl:if test="/data/common:result/attributes/item[@key='rebillMsg']/value/text()">
			<xsl:call-template name="error">
				<xsl:with-param name="text" select="/data/common:result/attributes/item[@key='rebillMsg']/value/text()"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="rebillEr"  select="/data/common:result/attributes/item[@key='rebillEr']/value/text()" />
		<div class="content">
			<p>      :</p>
			<img src="http://www.payonlinesystem.ru/rel/img/logos/mc_brand_038_gif.gif"/>
			<img src="http://www.payonlinesystem.ru/rel/img/logos/visa1_60x38_a.gif"/>
			<form name="f1" acton="${WEBEXECUTER}" method="post">
				<xsl:call-template name="module"/>
				<xsl:call-template name="action"/>
				<input type="hidden" name="operation" value="pay" />
				<p>. : <xsl:value-of select="/data/common:result/attributes/item[@key='min_summa']/value/text()"/></p>
				<p>. : <xsl:value-of select="/data/common:result/attributes/item[@key='max_summa']/value/text()"/></p>
				<div>
					<xsl:choose>
						<xsl:when test="/data/common:result/attributes/item[@key='rebillMsg']/value/text()">
							: <input type="text" name="summa" size="13" value="{/data/common:result/attributes/item[@key='autoPaySumma']/value/text()}" />
						</xsl:when>
						<xsl:otherwise>
							: <input type="text" name="summa" size="13" />
						</xsl:otherwise>
					</xsl:choose>
					
					<button type="submit" onclick="pay( {$rebillEr} )" ></button>
					<!--  -->
					<xsl:if test="/data/common:result/attributes/item[@key='rebill']/value/text() = 'true'">
						<xsl:choose>
							<!--   -->
							<xsl:when test="/data/common:result/attributes/item[@key='rebillContract']/value/text() = 'true'">
								 <input type="checkbox" id="rebill" name="rebill" checked="true" onchange="showHide(this, 'rebillDiv');" />
								<xsl:choose>
									<!--    -->
									<xsl:when test="/data/common:result/attributes/item[@key='rebillMsg']/value/text()">
										<div id="rebillDiv" style="display:block; margin-left: 30px;" >
									         .<br/>
									  <input type="text" name="day" value="{/data/common:result/attributes/item[@key='day']/value/text()}"/>
								</div>
									</xsl:when>
									<!--   -->
									<xsl:otherwise>
										<div id="rebillDiv" style="display:block; margin-left: 30px;" >
											   c <b> <xsl:value-of select="/data/common:result/attributes/item[@key='date']/value/text()"/> </b>     <b> <xsl:value-of select="/data/common:result/attributes/item[@key='autoPaySumma']/value/text()"/> .</b>,      <b> <xsl:value-of select="/data/common:result/attributes/item[@key='day']/value/text()"/>-</b> .<br/>
											 ,       "".
										</div>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								 <input type="checkbox" name="rebill"  onchange="showHide(this, 'rebillDiv');" />
								<div id="rebillDiv" style="display:none; margin-left: 30px;" >
									         .<br/>
									  <input type="text" name="day" />
								</div>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</div>
			</form>
			<br/>
		</div>
		<div>
			<form method="get" action="{$WEBEXECUTER}">
				<xsl:call-template name="action"/>
				<xsl:call-template name="periodFilter"/>
				<input type="hidden" name="search" value="1"/>
			</form>
		</div>
		<div class="report">
			<table class="table800">
				<thead>
				  <tr>
					<td>/ </td>
					<td></td>
					<td></td>
	  			</tr>
	 			</thead>
	 			<tbody>
	  				<xsl:for-each select="/data/common:result/data/item">
	  					<tr>
	  						<td>
	  							<xsl:value-of select="@date" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@summa" />
	  						</td>
	  						<td>
	  							<xsl:variable name="link">
	  								<xsl:value-of select="$WEBEXECUTER"/>?operation=getPdf&#38;action=PayOnline&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>&#38;transId=<xsl:value-of select="transactionId/text()"/>
	  							</xsl:variable>
	  							<a href="{$link}">
	  								<xsl:value-of select="transactionId/text()"/>
	  							</a>
	  						</td>
	  					</tr>
	  				</xsl:for-each>
	 			</tbody>
			</table>
		</div>
	</xsl:template>

	<xsl:template name="PORedirect">
		<form method="post" accept-charset="utf-8">
			<xsl:attribute name="action"><xsl:value-of select="/data/common:result/attributes/item[@key='confirm_url']/value/text()"/></xsl:attribute>
			<xsl:call-template name="error"/>
			
			<div class="report">
				<p>  <b><xsl:value-of select="/data/common:result/attributes/item[@key='contract']/value/text()"/></b>   
				<b><xsl:value-of select="/data/common:result/attributes/item[@key='summa']/value/text()"/></b>?</p>
				<table border="0" cellspacing="0">
				<tr>
					<td>
				<xsl:call-template name="okCancel">
					<xsl:with-param name="title1" select="''"/>
					<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=PayOnline&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
				</xsl:call-template>
						</td>
					</tr>
				</table>
			</div>
			<div style="color: gray">	
				<p>          Payonlinesystem,   ,      .
            ,    e-mail,      .</p>
<p>            .</p><p>
  Payonlinesystem <a href="http://www.payonlinesystem.ru/aboutus/certificates/"></a>       Visa  Master Card.
				</p>
			</div>
		</form>
	</xsl:template>
</xsl:stylesheet>